synapser and Reticulate appear to have a python version issue through PythonEmbedInR

Description

##Problem
###Originally running embed RMarkdown chunks of python code and bash chunks which source python scripts works but synapser wont load
```{r}
library(synapser)
```
R is already connected to Python!
Error: package or namespace load failed for ‘synapser’:
.onLoad failed in loadNamespace() for 'PythonEmbedInR', details:
call: value[[3L]](cond)
error: ERROR: Missing system dependencies. Please make sure that your machine has the required dependencies listed in the SystemRequirements field of the DESCRIPTION file: https://github.com/Sage-Bionetworks/PythonEmbedInR/blob/master/DESCRIPTION

##After Re-installing PythonEmbedInR and synapser:

  1.  

    1.  

      1. Execute Python Script From CLI/Bash
        ```{bash}
        python foo.py
        ```
        Traceback (most recent call last):
        File "/usr/local/lib/R/site-library/synapser/lib/python3.5/site-packages/site.py", line 73, in <module>
        __boot()
        File "/usr/local/lib/R/site-library/synapser/lib/python3.5/site-packages/site.py", line 3, in __boot
        import os
        ImportError: No module named os

AND

  1.  

    1.  

      1. Python Script Code Chunk
        ```{python}
        import sys
        print("Test python code")
        ```
        Warning in system2(command = python, args = paste0("\"", config_script, :
        running command ''/usr/bin/python' "/usr/local/lib/R/site-library/reticulate/config/config.py" 2>/dev/null' had status 1
        Error in python_config(python_version, required_module, python_versions) :
        Error 1 occurred running /usr/bin/python

Environment

None

Status

Assignee

Bruce Hoff

Reporter

Jake Gockley

Validator

Jake Gockley

Release Version History

None

Components

Sprint

Fix versions

Priority

Critical
Configure